This plugin hasn’t been tested with the latest 3 major releases of WordPress. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

WP-REST-API Menus

تفصیل

This plugin adds “routes” or “endpoints” to WP REST API that allows for retrieval of
menu data as JSON.

Updated port of “WP-REST-API V2 Menus” by Claudio La Barbera (http://www.claudiolabarbera.com)

Usage

Get all registered menus:

GET /wp-menus/v1/menus
https://yourwpsite.com/wp-json/wp-menus/v1/menus

Get menu data as JSON from menu slug:

GET /wp-menus/v1/menus/{slug}
https://yourwpsite.com/wp-json/wp-menus/v1/menus/{slug}

Gets the contents of a registered menu by its “slug”.

When assigning a menu a location in /wp-admin/nav-menus.php?action=locations
the slug is the name of the menu in lowercase and without any spaces like a post slug.

If your menu name is Main Menu:
https://yourwpsite.com/wp-json/menus/v1/wp-menus/main-menu

انسٹال کرݨ

There are no requirements other than WordPress and one active menu. Installation is simple:

  1. Upload the wp-rest-api-menus folder to the /wp-content/plugins/ directory
  2. Activate the plugin through the ‘Plugins’ menu in WordPress

ہرہک دے سوال

Installation Instructions

There are no requirements other than WordPress and one active menu. Installation is simple:

  1. Upload the wp-rest-api-menus folder to the /wp-content/plugins/ directory
  2. Activate the plugin through the ‘Plugins’ menu in WordPress
How do I use this plugin?

It creates a JSON interpretation of any “registered” menu mainly for front-end use. If you have any questions feel free to contact me: https://www.amorphouswebsolutions.com/contact/

ریویو

There are no reviews for this plugin.

Contributors & Developers

“WP-REST-API Menus” is open source software. The following people have contributed to this plugin.

حصہ پاوݨ آلے

“WP-REST-API Menus” دا آپݨی زبان وچ ترجمہ کرو۔

ڈیویلپمنٹ وچ دلچسپی ہے؟

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

تبدیلی لاگ

1.0

  • Requires PHP 5.6x at the very least.